package com.snail.exam.s2dao;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.S2ContainerFactory;

public class S2DAOExam4 {

    private static Log logger = LogFactory.getLog(S2DAOExam4.class);

    public static void main(String[] args) {
        S2Container container = null;
        try {
            container = S2ContainerFactory.create("app.dicon");

            TradeService service = (TradeService) container.getComponent(TradeService.class);

            long orderNo = service.order(1,1,10);
            
            logger.info("注文が入りました。注文番号:" + orderNo);
            
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (container != null) {
                container.destroy();
            }
        }

    }
}
